flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-5682) Fix scala version in flink-streaming-scala POM file
Date Fri, 17 Feb 2017 18:17:41 GMT

    [ https://issues.apache.org/jira/browse/FLINK-5682?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15872231#comment-15872231
] 

ASF GitHub Bot commented on FLINK-5682:
---------------------------------------

Github user StephanEwen commented on the issue:

    https://github.com/apache/flink/pull/3231
  
    @billliuatuber Since the dependency management section in the root `pom.xml` defines the
Scala version for all sub-modules, I think this change is not needed.
    If you agree, could you close the pull request?
    If you think I am overlooking something, please let me know!


> Fix scala version in  flink-streaming-scala POM file
> ----------------------------------------------------
>
>                 Key: FLINK-5682
>                 URL: https://issues.apache.org/jira/browse/FLINK-5682
>             Project: Flink
>          Issue Type: Bug
>          Components: Build System
>            Reporter: Bill Liu
>              Labels: build, easyfix
>   Original Estimate: 48h
>  Remaining Estimate: 48h
>
> In flink-streaming-scala, it doesn't define the scala library version,
> when build Flink for scala 2.10, it still possiblely  includes scala 2.11. 
> {quote}
>                 <dependency>
> 			<groupId>org.scala-lang</groupId>
> 			<artifactId>scala-reflect</artifactId>
> 		</dependency>
> 		<dependency>
> 			<groupId>org.scala-lang</groupId>
> 			<artifactId>scala-library</artifactId>
> 		</dependency>
> 		<dependency>
> 			<groupId>org.scala-lang</groupId>
> 			<artifactId>scala-compiler</artifactId>
> 		</dependency>
> {quote}



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message